# Deprecated API

## Contents

- Interfaces
- Methods

Interfaces
org.jboss.logging.ParameterConverter: this is not currently used anywhere and no replacement will be created

Methods
org.jboss.logging.Logger.debug​(Object, Object[]): To log a message with parameters, using `Logger.debugv(String, Object...)` is recommended.
org.jboss.logging.Logger.error​(Object, Object[]): To log a message with parameters, using `Logger.errorv(String, Object...)` is recommended.
org.jboss.logging.Logger.fatal​(Object, Object[]): To log a message with parameters, using `Logger.fatalv(String, Object...)` is recommended.
org.jboss.logging.Logger.info​(Object, Object[]): To log a message with parameters, using `Logger.infov(String, Object...)` is recommended.
org.jboss.logging.Logger.log​(Logger.Level, Object, Object[]): To log a message with parameters, using `Logger.logv(Level, String, Object...)` is recommended.
org.jboss.logging.Logger.trace​(Object, Object[]): To log a message with parameters, using `Logger.tracev(String, Object...)` is recommended.
org.jboss.logging.Logger.warn​(Object, Object[]): To log a message with parameters, using `Logger.warnv(String, Object...)` is recommended.